com.dlsc.flexgantt.model.eventline

## Enum IEventlineSelectionModel.Mode

- java.lang.Object
- - java.lang.Enum<IEventlineSelectionModel.Mode>
  - - com.dlsc.flexgantt.model.eventline.IEventlineSelectionModel.Mode

- All Implemented Interfaces:
    Serializable, Comparable<IEventlineSelectionModel.Mode>
  Enclosing interface:
    IEventlineSelectionModel

      public static enum IEventlineSelectionModel.Mode
      extends Enum<IEventlineSelectionModel.Mode>

  An enumeration of supported selection modes.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE_SELECTION` A constant used to indicate that the selection model supports the selection of multiple eventline objects.
    `SINGLE_SELECTION` A constant used to indicate that the selection model supports the selection of a single eventline object only.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IEventlineSelectionModel.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IEventlineSelectionModel.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_SELECTION

          public static final IEventlineSelectionModel.Mode SINGLE_SELECTION

      A constant used to indicate that the selection model supports the selection of a single eventline object only.
      Since:
        1.0

    - #### MULTIPLE_SELECTION

          public static final IEventlineSelectionModel.Mode MULTIPLE_SELECTION

      A constant used to indicate that the selection model supports the selection of multiple eventline objects.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static IEventlineSelectionModel.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IEventlineSelectionModel.Mode c : IEventlineSelectionModel.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IEventlineSelectionModel.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.